### Method

# EBackend Cache initialize_sync

since: 3.26

#### Declaration [src]

    gboolean
    e_cache_initialize_sync (
      ECache* cache,
      const gchar* filename,
      const GSList* other_columns,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Initializes the `cache` and opens the `filename` database. This should be called by the descendant.

The `other_columns` are added to the objects table (`E_CACHE_TABLE_OBJECTS`). Values for these columns are returned by `e_cache_get()` and can be stored with e_cache_put().

Available since: 3.26

#### Parameters

`filename`

  Type: `const gchar*`

  A filename of an SQLite database to use.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`other_columns`

  Type: A list of `None`

  An optional `GSList` with additional columns to add to the objects table.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.